## popup-el 0.5.3

=== Makefile ===
EMACS ?= emacs
CASK ?= cask
EMACS23=emacs23

ELPA_DIR = \
	.cask/$(shell $(EMACS) -Q --batch --eval '(princ emacs-version)')/elpa

.PHONY: test test-nw test-emacs23 test-emacs23-nw travis-ci

test:
	$(CASK) exec $(EMACS) -Q -L . -l tests/run-test.el

test-nw:
	$(CASK) exec $(EMACS) -Q -nw -L . -l tests/run-test.el

test-emacs23: tests/ert.el
	${EMACS23} -Q -L . -l test/ert.el -l tests/run-test.el

test-emacs23-nw: tests/ert.el
	$(EMACS23) -Q -nw -L . -l test/ert.el -l tests/run-test.el

travis-ci: elpa
	$(CASK) exec $(EMACS) -batch -Q -l tests/run-test.el

elpa: $(ELPA_DIR)
$(ELPA_DIR): Cask
	$(CASK) install
	touch $@

=== debian/changelog ===
popup-el (0.5.3-2) unstable; urgency=medium

  * Rebuild against newer dh-elpa to fix byte compilation against
    unversioned bin:emacs.
  * Bump standards version to 4.1.4.
    - Drop Built-Using field.
  * Update Maintainer field for team rename.
  * Point Vcs-* at salsa.
  * Correct dependency emacs->emacsen-common.
  * Drop d/source/local-options for dgit.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 03 Jun 2018 19:24:23 +0100

popup-el (0.5.3-1) unstable; urgency=medium

  * Initial Debian package release. (Closes: #813930)

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 06 Feb 2016 18:18:29 -0700

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/popup-el-$1\.tar\.gz/ \
  https://github.com/auto-complete/popup-el/tags .*/v?(\d\S*)\.tar\.gz

## popup-el 0.5.8

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,7 @@
 CASK ?= cask
 EMACS23=emacs23
 
-ELPA_DIR = \
-	.cask/$(shell $(EMACS) -Q --batch --eval '(princ emacs-version)')/elpa
+ELPA_DIR = $(shell EMACS=$(EMACS) $(CASK) package-directory)
 
 .PHONY: test test-nw test-emacs23 test-emacs23-nw travis-ci

=== debian/changelog ===
popup-el (0.5.8-3) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Drop emacs24 from Enhances (package does not exist in bullseye).

  [ Sean Whitton ]
  * Drop spurious slash from end of Vcs-Git.
  * Orphan package.
  * Run 'wrap-and-sort -ast'.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 03 Apr 2025 15:35:29 +0800

popup-el (0.5.8-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:29:14 +0900

popup-el (0.5.8-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch to README.md.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 26 Jul 2020 20:49:34 -0700

popup-el (0.5.3-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Mon, 26 Aug 2019 13:13:13 -0300

=== debian/control ===
Source: popup-el
Section: lisp
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-elpa (>= 0.0.18),
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/emacsen-team/popup-el
Vcs-Git: https://salsa.debian.org/emacsen-team/popup-el.git
Homepage: https://github.com/auto-complete/popup-el

Package: elpa-popup
Architecture: all
Depends:
 emacsen-common,
 ${elpa:Depends},
 ${misc:Depends},
Recommends:
 emacs (>= 46.0),
Enhances:
 emacs,
Description: visual popup user interface library for Emacs
 popup.el is a visual popup user interface library for Emacs. It
 provides common UI widgets such as popup tooltips and popup menus.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with elpa
override_dh_auto_build:
	true
override_dh_auto_test:
	emacs --batch -Q \
		-L . \
		-l tests/run-test.el
